from random import choice

#.PRS

prefernece = [".P", "P.", ".R", "R.", "PR", "RP", "RS", "SR"]


def neighbours(board, x, y):
    if x > 0:
        yield "L", board[y][x] + board[y][x-1]
    if y > 0:
        yield "U", board[y][x] + board[y-1][x]
    if x < len(board[0]) - 1:
        yield "R", board[y][x] + board[y][x+1]
    if y < len(board) - 1:
        yield "D", board[y][x] + board[y+1][x]


def move(board, x, y):
    best, rank = None, -1
    for dir, pair in neighbours(board, x, y):
        if pair in prefernece and (i := prefernece.index(pair)) > rank:
            best, rank = dir, i
    return "I" + best if best else "M" + choice("UDLR")
    
    
if __name__ == "__main__":
    board = []
    while (l := input()):
        board.append(l)
    print(move(board, int(input()), int(input())), end="")